
class RankModel {
  bool ok;
  Ranking ranking;

  RankModel(this.ok, this.ranking);

  RankModel.fromJson(Map<String, dynamic> json) {
    ok = json['ok'];
    ranking =
        json['ranking'] != null ? new Ranking.fromJson(json['ranking']) : null;
  }
}

class Ranking {
  String updated;
  String title;
  String gender;
  int priority;
  List<Books> books;

  Ranking(this.updated, this.title, this.gender, this.priority, this.books);

  Ranking.fromJson(Map<String, dynamic> json) {
    updated = json['updated'];
    title = json['title'];
    gender = json['gender'];
    priority = json['priority'];

    books = (json['books'] as List).map((i) => Books.fromJson(i)).toList();
  }
}

class Books {
  String author;
  String site;
  String majorCate;
  String title;
  String shortIntro;

  Books(this.author, this.site, this.majorCate, this.title, this.shortIntro);

  Books.fromJson(Map<String, dynamic> json) {
    author = json['author'];
    site = json['site'];
    majorCate = json['majorCate'];
    title = json['title'];
    shortIntro = json['shortIntro'];
  }
}
